It is currently Mon Sep 28, 2020 8:43 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 20 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Jun 24, 2020 2:12 pm 
Offline
Addict
Addict
User avatar

Joined: Mon Jun 06, 2005 2:35 pm
Posts: 1253
Location: germany
Hi,

my software seem to need libwebkitgtk-3.0-0 because it utilizes the WebGadget. My customers on Ubuntu 19.04, 19.10 and 20.04 can not install because this seem no longer existing. I tried by myself with the same problem.

How can I get this working?


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Jun 24, 2020 4:40 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2662
Location: Germany
Not at time. We wait for update ...

Alternate use subsystem 'QT'

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Jun 24, 2020 5:09 pm 
Offline
Addict
Addict
User avatar

Joined: Mon Jun 06, 2005 2:35 pm
Posts: 1253
Location: germany
It is a complex cross-platform GUI with a lot of GUI hacks. I can not easily switch to QT. Would be a huge effort...

Quote:
Not at time. We wait for update ...

As this is an issue since Ubuntu 19.04, it is a problem for more than a year now. I found some entries here in the forum, too. Is there really a chance to get such PB update soon? or is Fred not focussing on such?

I tried to search the internet, but there seem no binary packets for a libwebkitgtk-3.0-0 at the web somewhere. The debs do have too many unsolved dependencies. And I also found no alternative repository to pull such older packages without negative effects on the current system... So sad...

Does anyone know WHY these packages were droped?


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Tue Aug 18, 2020 9:28 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jan 28, 2005 11:53 pm
Posts: 123
Location: Germ-any
Hi,
I face the same problem. The - not so - funny part is that my program does NOT use the webgadget, nevertheless there are some functions that need the libwebkitgtk library.

Workaround with "Qt" should not work (cannot check now).

It would be beneficial, if dependencies from PB-functions to used libraries would be disclosed in order to find own workarounds.

Or an update with different UBUNTU dependencies.

Greetings
LN

_________________
Stoh wis, kiek wiet, rög di.

ANSI X3.60-1978 "For minimal BASIC" !!!
ANSI X3.113-1987 "Programming Languages Full BASIC" !!!
ISO xxxxx "Purebasic Programming Language" - draft ???


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 4:53 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jul 19, 2013 7:36 am
Posts: 228
Location: Novosibirsk
mk-soft wrote:
...
We wait for update
...


Did I miss something? Was there an official announcement about the update?
p.s. I have a sad impression of linux support in the future.

p.p.s. A possible way out of our problems would be to pack Purebasic in SNAP and have the menu item "create snap package" (Flatpak, AppImage, ...).

_________________
Dawn will come inevitably. ( Рассвет наступит неизбежно )


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 7:29 am 
Offline
Addict
Addict
User avatar

Joined: Mon Jun 06, 2005 2:35 pm
Posts: 1253
Location: germany
To be honest, I already stopped using PureBasic for any new projects. If possible, I use golang. If GUI is needed, I use sciter together with golang (go-sciter). It turns out to be better supported. At least, if something is wrong with sciter I get updates and fixes very soon. Sadly, sciter is a "one man show" and is missing some "stable" branch. So, if I get some better supported and complete GUI framework for golang, I will use that.

But I have a lot of products and tools based on PureBasic, so I will have to support them for a while. But now, one of the products puts me into trouble because of the WebGadget. I tried to use qt subsystem. But then I found that the qt subsystem is more like an alpha version (viewtopic.php?f=23&t=75690, viewtopic.php?f=23&t=75647, viewtopic.php?f=23&t=75643, viewtopic.php?f=23&t=75642, viewtopic.php?f=23&t=75641, viewtopic.php?f=23&t=75639 etc). It is not production ready.

Quote:
there are some functions that need the libwebkitgtk library.

Yes, the XMLDialog functions are definitely requiring libwebkit. This I found after replacing the WebView gadget with GTK directly. Another few hours lost in this...


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 8:14 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jul 19, 2013 7:36 am
Posts: 228
Location: Novosibirsk
Kukulkan wrote:
...
But then I found that the qt subsystem is more like an alpha version
...

The alpha is what the beta release roadmap is about.
In the meantime, we don't even find it in checkinstall qt.

_________________
Dawn will come inevitably. ( Рассвет наступит неизбежно )


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 9:15 am 
Offline
Addict
Addict
User avatar

Joined: Mon Jun 06, 2005 2:35 pm
Posts: 1253
Location: germany
I wish there would be some roadmap...


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 2:45 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 2662
Location: Germany
Install of QT Developer Pakets

Link: viewtopic.php?f=15&t=74875

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / EventDesigner V3
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 3:36 pm 
Offline
Addict
Addict
User avatar

Joined: Mon Jun 06, 2005 2:35 pm
Posts: 1253
Location: germany
mk-soft wrote:
Install of QT Developer Pakets

Yes, thanks, but only for debian. I'm on OpenSuse, which is using RPM and some packages seem also named differently. Anyway, I somehow made it.


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 4:21 pm 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jul 19, 2013 7:36 am
Posts: 228
Location: Novosibirsk
Kukulkan wrote:
mk-soft wrote:
Install of QT Developer Pakets

Yes, thanks, but only for debian. I'm on OpenSuse, which is using RPM and some packages seem also named differently. Anyway, I somehow made it.


That's why I'm asking in a separate topic - how can we help?
Why is there no beta testing plan for several base distributions with the community. I think those willing to participate will be if someone sets specific tasks and summarizes the reports.

_________________
Dawn will come inevitably. ( Рассвет наступит неизбежно )


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Wed Aug 19, 2020 7:47 pm 
Offline
PureBasic Team
PureBasic Team
User avatar

Joined: Fri Apr 25, 2003 5:21 pm
Posts: 5813
Location: Germany
Moved to bugs since we need to find a replacement.

@useful: Always re-asking the same question really is no help at all. If you want to help, test the distributions you are interested in and post bug reports. Yes, some bugreports take long to be fixed, but things that are never reported won't ever be fixed.

useful wrote:
Why is there no beta testing plan for several base distributions with the community. I think those willing to participate will be if someone sets specific tasks and summarizes the reports.


As I said: You are free to do that any time. Beta versions are public. Why do you need our blessing to do testing?

_________________
quidquid Latine dictum sit altum videtur


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Thu Aug 20, 2020 5:45 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jul 19, 2013 7:36 am
Posts: 228
Location: Novosibirsk
freak wrote:
... Why do you need our blessing to do testing?

I need specific answers to specific questions. Testing without hope of feedback makes no sense.
for example:
viewtopic.php?p=552197#p552197

_________________
Dawn will come inevitably. ( Рассвет наступит неизбежно )


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Thu Aug 20, 2020 8:45 am 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Fri Jan 28, 2005 11:53 pm
Posts: 123
Location: Germ-any
Hi Timo,

is there a chance that you deinstall libwebkitgtk on your development PC, try to compile and then just tell us which functions / libraries have dependencies into the libwebkitgtk library?

That would be helpful in order to see for workarounds.

Greetings
LN

_________________
Stoh wis, kiek wiet, rög di.

ANSI X3.60-1978 "For minimal BASIC" !!!
ANSI X3.113-1987 "Programming Languages Full BASIC" !!!
ISO xxxxx "Purebasic Programming Language" - draft ???


Top
 Profile  
Reply with quote  
 Post subject: Re: WebGadget on Ubuntu 20.04 (libwebkitgtk-3.0-0 missing)
PostPosted: Thu Aug 20, 2020 6:53 pm 
Offline
PureBasic Team
PureBasic Team
User avatar

Joined: Fri Apr 25, 2003 5:21 pm
Posts: 5813
Location: Germany
langinagel wrote:
Hi Timo,

is there a chance that you deinstall libwebkitgtk on your development PC, try to compile and then just tell us which functions / libraries have dependencies into the libwebkitgtk library?

That would be helpful in order to see for workarounds.

Greetings
LN


It is used by the WebGadget() command and by the Dialog library (for dynamic creation of WebGadget instances). It is not used anywhere else.

_________________
quidquid Latine dictum sit altum videtur


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 20 posts ]  Go to page 1, 2  Next

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 0 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye